package com.bonus.canteen.core.marketing.v2.rule.recharge.handler.fullgift.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("充值规则详情-满赠")
public class RechargeGiftFullDTO {
   @ApiModelProperty("计价方式：1固定，2阶梯，3循环")
   private Integer rechargeType;
   @ApiModelProperty("阶梯信息")
   private List<RechargeGiftFullItemDTO> items;

   public Integer getRechargeType() {
      return this.rechargeType;
   }

   public List<RechargeGiftFullItemDTO> getItems() {
      return this.items;
   }

   public void setRechargeType(final Integer rechargeType) {
      this.rechargeType = rechargeType;
   }

   public void setItems(final List<RechargeGiftFullItemDTO> items) {
      this.items = items;
   }


   public RechargeGiftFullDTO(final Integer rechargeType, final List<RechargeGiftFullItemDTO> items) {
      this.rechargeType = rechargeType;
      this.items = items;
   }
}
